// Import required modules
import mongoose from 'mongoose'
import UserModel from '../models/users';
import * as dotenv from 'dotenv';

// Load the environment variables from the .env file
dotenv.config();
const url = process.env.MONGODB_URI;

if (!url) {
    throw new Error('MONGODB_URI is not defined in the .env file.');
}

const dbconnect = async () =>{
    mongoose.connect(url)
    .then(() =>{
        console.log('Connected to MongoDB');
    })
    .catch((error) => {
        console.error('Error connecting to MongoDB:', error);
    });
}

export { dbconnect };
