import React from "react";
import {Typography} from "@mui/material"

interface CardHeaderProps {
    title: string;
    description?: string;
    sideText?: string;
    icon?:React.ReactNode;
}

const CardHeader:React.FC<CardHeaderProps> = ({title, description, sideText}) => {
    return (
        <div className="flex justify-between mt-6 mr-4 ml-4 text-white font-inter ">
            <div className="w-full -mt-3">
                <h1 className="text-sm">{title}</h1>
                <h3 className=" text-xs text-gray-400">{description}</h3>
            </div>
            <h1 className="font-semibold text-yellow-300 min-w-fit">{sideText}</h1>
        </div>
    )
}
export default CardHeader;