import React from "react";
import PortfolioCard from "./PortfolioCard";
import CardHeader from "./CardHeader";
import {
  CartesianGrid,
  XAxis,
  YAxis,
  Tooltip,
  Legend,
  Rectangle,
  ResponsiveContainer,
  BarChart,
  Bar,
} from "recharts";
import { Card } from "@mui/material";

const data = [
  {
    name: "Page A",
    profit: 4000,
    pv: 2400,
    amt: 2400,
  },
  {
    name: "Page B",
    profit: 3000,
    pv: 1398,
    amt: 2210,
  },
  {
    name: "Page C",
    profit: 9800,
    amt: 2290,
  },
  {
    name: "Page D",
    uv: 2780,
    profit: 3908,
    amt: 2000,
  },
  {
    name: "Page E",
    profit: 1890,
    pv: 4800,
    amt: 2181,
  },
  {
    name: "Page F",
    uv: 2390,
    profit: 3800,
    amt: 2500,
  },
  {
    name: "Page G",
    uv: 3490,
    profit: 4300,
    amt: 2100,
  },
  {
    name: "Page G",
    uv: 3490,
    profit: 4300,
    amt: 2100,
  },
  {
    name: "Page G",
    uv: 3490,
    profit: 4300,
    amt: 2100,
  },
];

const MonthlyProfitsCard: React.FC = () => {
  return (
    <PortfolioCard gridArea="b" className="bg-gray-900">
      <CardHeader
        title="Profit Month by Month"
        description="graph representing the profits month by month"
        sideText="+4%"
      />
      <ResponsiveContainer width="100%" height="85%">
        <BarChart
          width={500}
          height={300}
          data={data}
          margin={{
            top: 10,
            right: 30,
            left: 0,
            bottom: 5,
          }}
        >
          <defs>
            <linearGradient id="colorProfits" x1="0" y1="0" x2="0" y2="1">
              <stop offset="5%" stopColor="#71f5de" stopOpacity={0.8} />
              <stop offset="95%" stopColor="#71f5de" stopOpacity={0.2} />
            </linearGradient>
          </defs>

          <CartesianGrid vertical={false} stroke="gray" />
          <XAxis
            dataKey="name"
            axisLine={false}
            tickLine={false}
            style={{ fontSize: "10px" }}
          />
          <YAxis
            axisLine={false}
            tickLine={false}
            style={{ fontSize: "10px" }}
            // domain={[0,15000]}
          />
          <Tooltip />
          <Bar
            dataKey="profit"
            fill="url(#colorProfits)"
            activeBar={<Rectangle fill="pink" stroke="blue" />}
          />
        </BarChart>
      </ResponsiveContainer>
    </PortfolioCard>
  );
};
export default MonthlyProfitsCard;
