import React from "react";
import {
  PieChart,
  Pie,
  Legend,
  Tooltip,
  Cell,
  ResponsiveContainer,
} from "recharts";

interface PortfolioValueGoalChartProps {
    totalValue: number;
    goalValue: number;
}

const COLORS = ["#076050","#71f5de"];

const data01 = [
  { name: "currentValue", value: 3004 },
  { name: "goalValue", value: 5000 },
];

const PortfolioValueGoalChart: React.FC<PortfolioValueGoalChartProps> = ({totalValue, goalValue}) => {
  return (
    <ResponsiveContainer width="100%" height="45%">
      <PieChart
        width={400}
        height={400}
        margin={{
          top: -40,
          right: 0,
          left: 0,
          bottom: 5,
        }}
      >
        <Pie
          dataKey="value"
          stroke="none"
          data={[{name: "goalValue", value: goalValue - totalValue},{name: "totalValue", value: totalValue}, ]}
          innerRadius={35}
          outerRadius={65}
          paddingAngle={2}
        >
            {data01.map((entry, index) => (
              <Cell key={`cell-${index}`} fill={COLORS[index % COLORS.length]} />
            ))}
        </Pie>
      </PieChart>
    </ResponsiveContainer>
  );
};
export default PortfolioValueGoalChart;
