import mongoose from 'mongoose';

const userSchema = new mongoose.Schema({
    email: {
      type: String,
      required: true,
      unique: true
    },
      username: {
      type: String,
      required: true,
      unique: true, // Ensures username is unique in the dataset
    },
    password: {
      type: String,
      required: true,
    },
    apiKeys: [
      {
        name: String,
        key: String,
        iv: String,
      },
    ],
  });

const UserModel = mongoose.model('User', userSchema);

export default UserModel;